//+------------------------------------------------------------------+
//|                                                 SimpleProfit.mq4 |
//|                                        Copyright  2012, PAZITIV |
//|                                                      pazitiv.net |
//+------------------------------------------------------------------+

/* 
C       QQE Alert v3, ,    , ,
      QQEA.     ?! ;)
 */

#property copyright "Copyright  2012, PAZITIV"
#property link      "pazitiv.net"


//--- input parameters

// 
extern string info1 = " " ;
extern double        LotFix=0.1;
extern double        MaxRisk = 1;
extern int           Avarages=3; 
extern int           TakeProfit=10;
extern int           StopLoss=10;
extern int           Magic = 8888;


extern bool Buy=true; //    
extern bool Sell=true; //    

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

 

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
int SF = 5; // original 5
int RSI_Period = 14; // original 14
double DARFACTOR = 4.236; //original 4.236

//------------    QQEA -----------------------
// Buffer0 --  
double Buffer0 = iCustom(NULL, 0, "QQEA" , SF, RSI_Period, DARFACTOR,0 , 0); 
// Buffer1 --  
double Buffer1 = iCustom(NULL, 0, "QQEA" , SF, RSI_Period, DARFACTOR,1 , 0);
//----------------------------------------------------------------- 

double Lot=GetLot(MaxRisk);

  //    Buy/Sell
  if(Lot==0) {Alert(" !");return(0);}
  if (Lot !=0 && Buffer0>Buffer1 && (Buy) ) NewOrder(OP_BUY,Lot)
   else
      if (Lot!=0 && Buffer0<Buffer1 && (Sell) ) NewOrder(OP_SELL,Lot);
  //    Buy/Sell 
   if (Buffer0>Buffer1) CloseOrder(OrderType(OP_BUY))
      else
         if (Buffer1>Buffer0) CloseOrder(OrderType(OP_SELL));
   

//      ר  GETLOT

//    
double GetLot(int Risk)
 {double Free    =AccountFreeMargin();
  double One_Lot =MarketInfo(Symbol(),MODE_MARGINREQUIRED);
  double Min_Lot =MarketInfo(Symbol(),MODE_MINLOT);
  double Max_Lot =MarketInfo(Symbol(),MODE_MAXLOT);
  double Step    =MarketInfo(Symbol(),MODE_LOTSTEP);
  double Lot     =MathFloor( Free *MaxRisk/100/One_Lot/Step)*Step;
  if(Lot<Min_Lot) Lot=Min_Lot;
  if(Lot>Max_Lot) Lot=Max_Lot;
  if(Lot*One_Lot> Free) return(0.0);
return(Lot);}






int NewOrder(int Cmd,double Lot)
 {double TP=0; //
  double SL=0; //
 double PR=0; //
 while(!IsTradeAllowed()) Sleep(100);
  if(Cmd==OP_BUY)
    {PR=Ask;
     if(TakeProfit>0) TP=Ask+TakeProfit*Point;
     if(StopLoss>0) SL=Ask-StopLoss*Point;}
  if(Cmd==OP_SELL)
    {PR=Bid;
     if(TakeProfit>0) TP=Bid-TakeProfit*Point;
     if(StopLoss>0) SL=Bid+StopLoss*Point;}
  int tic=OrderSend(Symbol(),Cmd,Lot,PR,3,SL,TP,"",0,0,Green);
  if(tic<0) Print("  :" ,GetLastError());
return(tic);}




//-------      ----------------------------------------------------------+
void CloseOrder()
 {double PR=0;
  while(!IsTradeAllowed()) Sleep(100);
  if(OrderType()==OP_BUY)  PR=Bid;
  if(OrderType()==OP_SELL) PR=Ask;
  if(!OrderClose(OrderTicket(),OrderLots(),PR,3,Red))
    Print("  : ",GetLastError());
return;
//-----------------------------------------------------------------+


//----
   return(0);
  
//+------------------------------------------------------------------+

